nVidia 6200 PCI video card - requires legacy driver?

Help with booting MiniMyth

Moderator: Pablo

Post Reply
mx-5
Contributor
Posts: 52
Joined: Thu Jul 26, 2007 6:16 pm

nVidia 6200 PCI video card - requires legacy driver?

Post by mx-5 » Mon Oct 13, 2008 6:27 am

I am using an older EPIA 800 where the PLE133 onboard video isn't supported, so I bough an nVidia 6200 PCI card. Struggled for a bit before finding out the normal minimyth with 177.13 doesn't work, and I needed the legacy nVidia with 96.47.07 for it to work.

With the normal pxe-minimyth-0.21.0-58, it runs through the usual blue graphical bootup (no errors about unsupported video card), but stops with a black screen. /var/log/messages give me the following:

Oct 12 19:38:31 (none) local0.warn minimyth: warning: certain DVDs may not play. see <http>
Oct 12 19:38:32 (none) local0.info minimyth: updating fonts ...
Oct 12 19:38:33 (none) local0.info minimyth: configuring X ...
Oct 12 19:38:35 (none) user.info kernel: unionfs: new lower inode mtime (bindex=0, name=.mythtv)
Oct 12 19:38:35 (none) user.info kernel: unionfs: new lower inode mtime (bindex=0, name=config)
Oct 12 19:38:35 (none) local0.info minimyth: starting X ...
Oct 12 19:38:35 (none) local0.info minimyth: starting X
Oct 12 19:38:35 (none) auth.notice su: + none root:minimyth
Oct 12 19:38:36 (none) local0.info minimyth: stopping splash screen
Oct 13 02:38:36 (none) daemon.info init: no more processes left in this runlevel
Oct 12 19:40:37 (none) auth.info login[7130]: root login on 'pts/0'


root@viaitx:/var/log # lspci -m
00:00.0 "Host bridge" "VIA Technologies, Inc." "VT8601 [Apollo ProMedia]" -r05 "VIA Technologies, Inc." "Device 6010"
00:01.0 "PCI bridge" "VIA Technologies, Inc." "VT8601 [Apollo ProMedia AGP]" "" ""
00:11.0 "ISA bridge" "VIA Technologies, Inc." "VT8231 [PCI-to-ISA Bridge]" -r10 "VIA Technologies, Inc." "Device 6010"
00:11.1 "IDE interface" "VIA Technologies, Inc." "VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE" -r06 -p8a "VIA Technologies, Inc." "Device 6010"
00:11.2 "USB Controller" "VIA Technologies, Inc." "VT82xxxxx UHCI USB 1.1 Controller" -r1e "First International Computer, Inc." "VA-502 Mainboard"
00:11.3 "USB Controller" "VIA Technologies, Inc." "VT82xxxxx UHCI USB 1.1 Controller" -r1e "First International Computer, Inc." "VA-502 Mainboard"
00:11.4 "Bridge" "VIA Technologies, Inc." "VT8235 ACPI" -r10 "VIA Technologies, Inc." "Device 6010"
00:11.5 "Multimedia audio controller" "VIA Technologies, Inc." "VT82C686 AC97 Audio Controller" -r40 "VIA Technologies, Inc." "Device 6010"
00:12.0 "Ethernet controller" "VIA Technologies, Inc." "VT6102 [Rhine-II]" -r51 "VIA Technologies, Inc." "VT6102 [Rhine II] Embeded Ethernet Controller on VT8235"
00:14.0 "VGA compatible controller" "nVidia Corporation" "NV44A [GeForce 6200]" -ra1 "eVga.com. Corp." "Device b399"


root@viaitx:/var/log # lsmod | grep nvidia
nvidia 7810428 0
i2c_core 17760 2 nvidia,i2c_viapro
agpgart 24692 2 nvidia,via_agp


Any reasons why this card needs the legacy drivers? Not a deal breaker since I also have frontends with Geforce MX2 cards so I will still need the legacy nvidia image, but I was hoping my current 6200 can use the current 177.xx drivers.

Thanks.

Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Post by Pablo » Mon Oct 13, 2008 11:21 pm

While the 177.* drivers dropped support for the 5000 series, I thought that they still has support for the 6000 series hardware.

Could you provide the output of

Code: Select all

lspci -mn
Also, the MiniMyth build system (as of the latest 59b5 anyway) contains the released 177.80 driver. Could you build with that as see whether or not it works?
MiniMyth running on an Acer ApireRevo 3610 and a Zotac ZBOX-ID80-U. Find out more at my MythTV page.

mx-5
Contributor
Posts: 52
Joined: Thu Jul 26, 2007 6:16 pm

Post by mx-5 » Tue Oct 14, 2008 12:14 am

Correction on my original post - I meant the ram-minimyth-0.21.0-58 as suppose to the pxe version...

Here's the lspci -mn:

root@viaitx:/var/log # lspci -mn
00:00.0 "0600" "1106" "0601" -r05 "1106" "6010"
00:01.0 "0604" "1106" "8601" "" ""
00:11.0 "0601" "1106" "8231" -r10 "1106" "6010"
00:11.1 "0101" "1106" "0571" -r06 -p8a "1106" "6010"
00:11.2 "0c03" "1106" "3038" -r1e "0925" "1234"
00:11.3 "0c03" "1106" "3038" -r1e "0925" "1234"
00:11.4 "0680" "1106" "8235" -r10 "1106" "6010"
00:11.5 "0401" "1106" "3058" -r40 "1106" "6010"
00:12.0 "0200" "1106" "3065" -r51 "1106" "0102"
00:14.0 "0300" "10de" "0221" -ra1 "3842" "b399"

Just downloaded your 59b5 and gave that a shot. Got the following during the blue graphical bootup page:

error: 'minimyth.conf' not found.

mx-5
Contributor
Posts: 52
Joined: Thu Jul 26, 2007 6:16 pm

Post by mx-5 » Sun Oct 19, 2008 10:41 am

Slapped on a hard drive to the system and installed Ubuntu Gutsy 7.10 on it. (8.04 didn't want to get into graphical LiveCD)

The Restricted Driver downloaded was 100.14.19 rather than the 96.xx.xx or 177.xx.xx drivers.

mx-5
Contributor
Posts: 52
Joined: Thu Jul 26, 2007 6:16 pm

Post by mx-5 » Wed Nov 05, 2008 5:01 am

The 59 release is the same - works for 96.xx.xx, black screen for 177.xx after the blue screen with scroll bar is finished.

Not sure if 177.xx offers anything better in terms of video performance - with the EPIA 800, any offloading to the video card would be nice... :)

Post Reply